package com.litao.lib.dynamicui.model

import android.graphics.Rect
import androidx.annotation.Keep
import com.litao.lib.utils.BKStringUtils
import kotlinx.parcelize.Parcelize

/**
 * @author : litao
 * @date   : 2023/3/24 10:13
 */
@Parcelize
@Keep
class DynamicGroupModel: DynamicBaseModel() {

    var moduleName:String? = null

    var moduleType = 0

    var moduleId = 0

    var type = 0

    var refreshUrl = 0

    var padding = Rect()

    var extraItems:List<DynamicItemModel>? = null

    var moduleTabs:List<DynamicItemModel>? = null

    var buttons:List<DynamicItemModel>? = null

    var items:List<DynamicItemModel>? = null


}