package com.litao.lib.dynamicui.model

import androidx.annotation.Keep

/**
 * @author : litao
 * @date   : 2023/3/24 10:14
 */
@Keep
class DynamicItemModel: DynamicBaseModel() {

    var itemType = 0

    var subType = 0



    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (other !is DynamicBaseModel) return false

        if (id != other.id) return false
        if (stringId != other.stringId) return false
        if (objectId != other.objectId) return false
        if (style != other.style) return false
        if (title != other.title) return false
        if (content != other.content) return false
        if (tip != other.tip) return false
        if (link != other.link) return false
        if (url != other.url) return false
        return true
    }

    override fun hashCode(): Int {
        var result = id
        result = 31 * result + stringId.hashCode()
        result = 31 * result + objectId.hashCode()
        result = 31 * result + style.hashCode()
        result = 31 * result + (title?.hashCode() ?: 0)
        result = 31 * result + content.hashCode()
        result = 31 * result + tip.hashCode()
        result = 31 * result + link.hashCode()
        result = 31 * result + url.hashCode()
        return result
    }


}