package com.litao.lib.dynamicui.model

import android.os.Parcelable
import androidx.annotation.Keep
import kotlinx.parcelize.Parcelize

/**
 * @author : litao
 * @date   : 2023/3/24 10:14
 */
@Parcelize
@Keep
open class DynamicBaseModel: Parcelable {

    var id:Int = -1

    var stringId:String? = ""

    var objectId:String? = null

    var style:Int? = 0

    var title:String? = null

    var subTitle:String? = ""

    var label:String? = ""

    var content:String? = ""

    var subContent:String? = ""

    var time:String? = ""

    var tip:String? = ""

    var tags:List<String>? = null

    var imageTag:String? = ""

    var subTip:String? = ""

    var link:String? = ""

    var url:String? = ""

    var imageUrl:String? = ""

    var titleColor:String? = ""

    var themeColor:String? = ""

    var icon:String? = null

    var iconLink:String? = ""

    var state:Int? = 0

    var location:Int? = 0

    var sortNumber:Int? = 0

    var behaviorName:String? = null

    var extra: DynamicExtraModel? = null


}